Package com.sas.lsaf.query.security.permissions

## Interface PermissionsQueryService

-     public interface PermissionsQueryService

  The service to extract permission information to a file. The methods in the service require the current user to be an Administrative mode user. The output file extracted is a .csv file.

  NOTE: If the .csv file is opened in a spreadsheet application, some permission values (example: -RPCD) may be interpreted as a formula and display a conversion error. To see the correct permission value, open in a text editor or bypass formula conversion in the spreadsheet application.

  Since:
    2.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `executeCurrentPermissionsQuery​(PermissionsQuery query, ExtractFileCreateInfo file)` | Extracts the current effective permissions for items in the repository.
    `java.lang.String` | `executeDefaultPermissionsQuery​(PermissionsQuery query, ExtractFileCreateInfo file)` | Extracts the default effective permissions for containers in the repository.

- - ### Method Detail

    - #### executeCurrentPermissionsQuery

          java.lang.String executeCurrentPermissionsQuery​(PermissionsQuery query,
                                                          ExtractFileCreateInfo file)
                                                   throws QueryException

      Extracts the current effective permissions for items in the repository. If the query results exceed the row limit (default is 10 million), a `QueryLimitException` is thrown.
      Parameters:
        `query` - The criteria with which to query permissions.
        `file` - The method to add the query output file.
      Returns:
        The path to the query output file.
      Throws:
        `QueryException` - Thrown when there is an issue generating the query.

    - #### executeDefaultPermissionsQuery

          java.lang.String executeDefaultPermissionsQuery​(PermissionsQuery query,
                                                          ExtractFileCreateInfo file)
                                                   throws QueryException

      Extracts the default effective permissions for containers in the repository. If the query results exceed the row limit (default is 10 million), a `QueryLimitException` is thrown.
      Parameters:
        `query` - The criteria with which to query permissions.
        `file` - The method to add the query output file.
      Returns:
        The path to the query output file.
      Throws:
        `QueryException` - Thrown when there is an issue generating the query.